<?php
/*
This file handles the admin area and functions.
You can use this file to make changes to the
dashboard. It's turned off by default, but you can call it
via the functions file.
*/

/************* DASHBOARD WIDGETS *****************/

// disable default dashboard widgets
function disable_default_dashboard_widgets() {
	// remove_meta_box('dashboard_right_now', 'dashboard', 'core');    // Right Now Widget
	remove_meta_box('dashboard_recent_comments', 'dashboard', 'core'); // Comments Widget
	remove_meta_box('dashboard_incoming_links', 'dashboard', 'core');  // Incoming Links Widget
	remove_meta_box('dashboard_plugins', 'dashboard', 'core');         // Plugins Widget

	remove_meta_box('dashboard_quick_press', 'dashboard', 'core');  // Quick Press Widget
	remove_meta_box('dashboard_recent_drafts', 'dashboard', 'core');   // Recent Drafts Widget
	remove_meta_box('dashboard_primary', 'dashboard', 'core');         //
	remove_meta_box('dashboard_secondary', 'dashboard', 'core');       //

	// removing plugin dashboard boxes
	remove_meta_box('yoast_db_widget', 'dashboard', 'normal');         // Yoast's SEO Plugin Widget

	/*
	have more plugin widgets you'd like to remove?
	share them with us so we can get a list of
	the most commonly used. :D
	https://github.com/eddiemachado/TechnoArea/issues
	*/
}

// RSS Dashboard Widget
function TechnoArea_rss_dashboard_widget() {
	if(function_exists('fetch_feed')) {
		include_once(ABSPATH . WPINC . '/feed.php');               // include the required file
		$feed = fetch_feed('http://feeds.technoarea.in/TechnoArea/');        // specify the source feed
		$limit = $feed->get_item_quantity(7);                      // specify number of items
		$items = $feed->get_items(0, $limit);                      // create an array of items
	}
	if ($limit == 0) echo '<div>The RSS Feed is either empty or unavailable.</div>';   // fallback message
	else foreach ($items as $item) { ?>

	<h4 style="margin-bottom: 0;">
		<a href="<?php echo $item->get_permalink(); ?>" title="<?php echo mysql2date(__('j F Y @ g:i a', 'TechnoAreatheme'), $item->get_date('Y-m-d H:i:s')); ?>" target="_blank">
			<?php echo $item->get_title(); ?>
		</a>
	</h4>
	<p style="margin-top: 0.5em;">
		<?php echo substr($item->get_description(), 0, 200); ?>
	</p>
	<?php }
}
function TechnoArea_custom_dashboard_widgets() {
	wp_add_dashboard_widget('TechnoArea_rss_dashboard_widget', __('Recently on TechnoArea', 'TechnoArea'), 'technoarea_rss_dashboard_widget');
	/*
	Be sure to drop any other created Dashboard Widgets
	in this function and they will all load.
	*/
}

add_action('admin_menu', 'disable_default_dashboard_widgets');
add_action('wp_dashboard_setup', 'TechnoArea_custom_dashboard_widgets');

function technoarea_custom_admin_footer() {
	_e('<span id="footer-thankyou">Developed by <a href="http://www.rahulsharmahere" target="_blank">Rahul Sharma</a></span>. Built using <a href="http://www.technoarea.in/" target="_blank">tAresponsive Theme</a>.', 'technoarea');
}

// adding it to the admin area
add_filter('admin_footer_text', 'technoarea_custom_admin_footer');

//disable dragging of metaboxes in admin panel
function disable_drag_metabox() {
    wp_deregister_script('postbox');
}
add_action( 'admin_init', 'disable_drag_metabox' );

//Replace Howdy, admin in WordPress admin bar
function replace_howdy( $wp_admin_bar ) {
    $my_account=$wp_admin_bar->get_node('my-account');
    $newtitle = str_replace( 'Howdy,', 'Logged in as', $my_account->title );            
    $wp_admin_bar->add_node( array(
        'id' => 'my-account',
        'title' => $newtitle,
    ) );
}
add_filter( 'admin_bar_menu', 'replace_howdy',25 );

//Hide help Tab from admin panel
function hide_help() {
    echo '<style type="text/css">
            #contextual-help-link-wrap { display: none !important; }
          </style>';
}
add_action('admin_head', 'hide_help');

// Help from TechnoArea
function wp_admin_bar_new_item() {
global $wp_admin_bar;
$wp_admin_bar->add_menu(array(
'id' => 'wp-admin-bar-new-item',
'title' => __('Contact TechnoArea'),
'href' => 'http://www.technoarea.in/contact/'
));
}
add_action('wp_before_admin_bar_render', 'wp_admin_bar_new_item');

// Remove Wordpress Version from Admin Footer
function change_footer_version() {
  return 'Powered by WordPress';
}
add_filter( 'update_footer', 'change_footer_version', 9999 );
